<?php /** @var ShipX_Shipment_Model $shipment */

use InspireLabs\WooInpost\EasyPack;
use InspireLabs\WooInpost\shipx\models\shipment\ShipX_Shipment_Model; ?>

<?php if ( $shipment instanceof ShipX_Shipment_Model ): ?>
    <label disabled style="display: block" for="reference_number"
           class="graytext">
		<?php _e( 'Reference number: ', EasyPack::$text_domain ); ?>
    </label>
<?php else: ?>
    <label disabled style="display: block" for="reference_number" class="">
		<?php _e( 'Reference number: ', EasyPack::$text_domain ); ?>
    </label>
<?php endif ?>

<?php if ( $shipment instanceof ShipX_Shipment_Model
           && null !== $shipment->getReference()
): ?>
    <input disabled class="reference_number"
           type="text"
           style=""
           value="
<?php echo $shipment->getReference(); ?>"
           id="reference_number"
           name="reference_number">
<?php else: ?>
    <input class="reference_number"
           type="text"
           style=""
           value="
<?php echo $_GET['post'] ?>"
           id="reference_number"
           name="reference_number">
<?php endif; ?>
